From 54220cb516ac332849c9dc012486b87232f175a6 Mon Sep 17 00:00:00 2001
From: Jarmo Torvinen <jarmo.torvinen@jutel.fi>
Date: Tue, 28 Apr 2009 10:08:33 +0300
Subject: [PATCH] nonblocking-filewriter: bugfix, release thread object

---
 modules/access_output/file.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules/access_output/file.c b/modules/access_output/file.c
index 27720f1..4a4538b 100644
--- a/modules/access_output/file.c
+++ b/modules/access_output/file.c
@@ -200,6 +200,7 @@ static int Open( vlc_object_t *p_this )
     {
         msg_Err( p_access, "cannot open `%s' (%m)", p_access->psz_path );
         block_FifoRelease(p_sys->p_thread->p_fifo);
+        vlc_object_release( p_sys->p_thread );
         free (p_sys);
         return VLC_EGENERIC;
     }
-- 
1.6.0.4

